# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: gps_path_tracking.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
from google.protobuf import descriptor_pb2
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='gps_path_tracking.proto',
  package='',
  syntax='proto2',
  serialized_pb=_b('\n\x17gps_path_tracking.proto\"$\n\x08GpsPoint\x12\x0b\n\x03lat\x18\x01 \x02(\x01\x12\x0b\n\x03lon\x18\x02 \x02(\x01\"O\n\x07GpsInfo\x12\x0b\n\x03lat\x18\x01 \x02(\x01\x12\x0b\n\x03lon\x18\x02 \x02(\x01\x12\x0b\n\x03\x61zi\x18\x03 \x02(\x01\x12\r\n\x05speed\x18\x04 \x02(\x01\x12\x0e\n\x06status\x18\x05 \x02(\r\"\xf2\x01\n\x13GpsPathTrackingInfo\x12 \n\rcur_gps_point\x18\x01 \x03(\x0b\x32\t.GpsPoint\x12%\n\x12\x63ur_near_gps_point\x18\x02 \x03(\x0b\x32\t.GpsPoint\x12 \n\rpre_gps_point\x18\x03 \x03(\x0b\x32\t.GpsPoint\x12\x19\n\x11pre_gps_point_azi\x18\x04 \x01(\x01\x12\x14\n\x0cmin_distance\x18\x05 \x01(\x02\x12\x10\n\x08\x66inished\x18\x06 \x01(\x08\x12\x1a\n\x08gps_info\x18\x07 \x01(\x0b\x32\x08.GpsInfo\x12\x11\n\tcurvature\x18\x08 \x01(\x01')
)
_sym_db.RegisterFileDescriptor(DESCRIPTOR)




_GPSPOINT = _descriptor.Descriptor(
  name='GpsPoint',
  full_name='GpsPoint',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='lat', full_name='GpsPoint.lat', index=0,
      number=1, type=1, cpp_type=5, label=2,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='lon', full_name='GpsPoint.lon', index=1,
      number=2, type=1, cpp_type=5, label=2,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto2',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=27,
  serialized_end=63,
)


_GPSINFO = _descriptor.Descriptor(
  name='GpsInfo',
  full_name='GpsInfo',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='lat', full_name='GpsInfo.lat', index=0,
      number=1, type=1, cpp_type=5, label=2,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='lon', full_name='GpsInfo.lon', index=1,
      number=2, type=1, cpp_type=5, label=2,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='azi', full_name='GpsInfo.azi', index=2,
      number=3, type=1, cpp_type=5, label=2,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='speed', full_name='GpsInfo.speed', index=3,
      number=4, type=1, cpp_type=5, label=2,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='status', full_name='GpsInfo.status', index=4,
      number=5, type=13, cpp_type=3, label=2,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto2',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=65,
  serialized_end=144,
)


_GPSPATHTRACKINGINFO = _descriptor.Descriptor(
  name='GpsPathTrackingInfo',
  full_name='GpsPathTrackingInfo',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='cur_gps_point', full_name='GpsPathTrackingInfo.cur_gps_point', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='cur_near_gps_point', full_name='GpsPathTrackingInfo.cur_near_gps_point', index=1,
      number=2, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='pre_gps_point', full_name='GpsPathTrackingInfo.pre_gps_point', index=2,
      number=3, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='pre_gps_point_azi', full_name='GpsPathTrackingInfo.pre_gps_point_azi', index=3,
      number=4, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='min_distance', full_name='GpsPathTrackingInfo.min_distance', index=4,
      number=5, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='finished', full_name='GpsPathTrackingInfo.finished', index=5,
      number=6, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='gps_info', full_name='GpsPathTrackingInfo.gps_info', index=6,
      number=7, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='curvature', full_name='GpsPathTrackingInfo.curvature', index=7,
      number=8, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto2',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=147,
  serialized_end=389,
)

_GPSPATHTRACKINGINFO.fields_by_name['cur_gps_point'].message_type = _GPSPOINT
_GPSPATHTRACKINGINFO.fields_by_name['cur_near_gps_point'].message_type = _GPSPOINT
_GPSPATHTRACKINGINFO.fields_by_name['pre_gps_point'].message_type = _GPSPOINT
_GPSPATHTRACKINGINFO.fields_by_name['gps_info'].message_type = _GPSINFO
DESCRIPTOR.message_types_by_name['GpsPoint'] = _GPSPOINT
DESCRIPTOR.message_types_by_name['GpsInfo'] = _GPSINFO
DESCRIPTOR.message_types_by_name['GpsPathTrackingInfo'] = _GPSPATHTRACKINGINFO

GpsPoint = _reflection.GeneratedProtocolMessageType('GpsPoint', (_message.Message,), dict(
  DESCRIPTOR = _GPSPOINT,
  __module__ = 'gps_path_tracking_pb2'
  # @@protoc_insertion_point(class_scope:GpsPoint)
  ))
_sym_db.RegisterMessage(GpsPoint)

GpsInfo = _reflection.GeneratedProtocolMessageType('GpsInfo', (_message.Message,), dict(
  DESCRIPTOR = _GPSINFO,
  __module__ = 'gps_path_tracking_pb2'
  # @@protoc_insertion_point(class_scope:GpsInfo)
  ))
_sym_db.RegisterMessage(GpsInfo)

GpsPathTrackingInfo = _reflection.GeneratedProtocolMessageType('GpsPathTrackingInfo', (_message.Message,), dict(
  DESCRIPTOR = _GPSPATHTRACKINGINFO,
  __module__ = 'gps_path_tracking_pb2'
  # @@protoc_insertion_point(class_scope:GpsPathTrackingInfo)
  ))
_sym_db.RegisterMessage(GpsPathTrackingInfo)


# @@protoc_insertion_point(module_scope)
